package Zadanie;

import javax.swing.*;
 
import java.awt.*;
import java.awt.image.*;
import java.awt.geom.*;

//--------------------------------------------------------------------------------//
//  					Trieda jednej prekazky                                    //
//--------------------------------------------------------------------------------//

public class Barrier {
	
	private double x;
	private double y;
	
	int radius; 					//polomer prekazky
	
	public Barrier (float x, float y, int radius)												//konstruktor
	  {
	  	this.x = x;
	  	this.y = y;
	  	this.radius = radius;
	  }	
	
	public double getX() 															//metody na vratenie hodnot
	  {
       return x;
      }
    
    public double getY() 
      {
       return y;
      }
      
	public void selfPaint(Graphics2D area) 											//metoda na vykreslenie prekazky
	  {
	  	area.setColor(Color.black);
        area.fill(new Ellipse2D.Double((int)x-radius, (int)y-radius, radius*2 , radius*2));			//nakresli kruzok
        area.setColor(Color.black);
      }
   
   public void SetX(double x)
     {
      this.x = x;	
     }  
     
  public void SetY(double y)
     {
      this.y = y;	
     }      
            
} 