package Zadanie;

import java.awt.*;
import java.applet.*;
import javax.swing.*;
import javax.swing.border.TitledBorder;
import javax.swing.border.Border;
import javax.swing.event.*;
import java.awt.event.*;

/*
 * Title: Floys Applet
 *
 * Description:
 *
 * Author: Peter Stehlik Copyright (c) 2004
 *
 * @author stehno@pobox.sk
 * @version 1.0
 */

//-----------------------------------------------------------------------------//
//             			   Trieda Hlavneho appletu							   //
//-----------------------------------------------------------------------------//

public class FApplet extends JApplet {
    boolean isStandalone = false;
    JPanel pnlPozadie = new JPanel();
    FloyCanvas Platno = new FloyCanvas(this);
    JPanel pnlTlacitka = new JPanel();
    JPanel pnlVlastnosti = new JPanel();
    JPanel pnlModel = new JPanel();
    TitledBorder titledBorder1 = new TitledBorder("");
    Border border1 = BorderFactory.createEtchedBorder(Color.white,new Color(156, 156, 158));
    Border border2 = new TitledBorder(border1, "Model prostredia");
    JPanel pnlVotrelec = new JPanel();
    TitledBorder titledBorder3 = new TitledBorder("");
    Border border3 = BorderFactory.createEtchedBorder(Color.white,new Color(156, 156, 158));
    Border border4 = new TitledBorder(border3, "Votrelec");
    JSlider sldRychlost = new JSlider();
    JSlider sldPocet = new JSlider();
    JLabel lbRychlost = new JLabel();
    JLabel lbPocet = new JLabel();
    JButton btnDefault = new JButton();
    JButton btnVlastnosti = new JButton();
    JButton btnPridat = new JButton();
    JButton btnOdobrat = new JButton();
    JButton btnPauza = new JButton();
    JButton btnReset = new JButton();
    JButton btnPrekazka = new JButton();
    ButtonGroup rbtnEnviroment = new ButtonGroup();
    JRadioButton rbtnEnviromentToroid = new JRadioButton("Toroid");
    JRadioButton rbtnEnviromentBounded = new JRadioButton("Ohranien");

	boolean isPaused=false;													//je program pauznuty alebo nie?
	boolean isPosible=false;						//je mozne pridat prekazku (iba ak bolo stlacene tlacitko)

    public String getParameter(String key, String def) {
        return isStandalone ? System.getProperty(key, def) :
                (getParameter(key) != null ? getParameter(key) : def);
    }

    //Construct the applet
    public FApplet() {
    }

    //Initialize the applet
    public void init() {
        try {
            jbInit();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    //Component initialization
    private void jbInit() throws Exception {
        this.getContentPane().setBackground(Color.lightGray);
        Platno.setBackground(Color.white);
        Platno.setPreferredSize(new Dimension(455, 365));
        Platno.setBounds(new Rectangle(17, 18, 455, 365));
        Platno.setLayout(null);
        pnlTlacitka.setBackground(Color.lightGray);
        pnlTlacitka.setBorder(null);
        pnlTlacitka.setMinimumSize(new Dimension(50, 10));
        pnlTlacitka.setPreferredSize(new Dimension(200, 370));
        pnlTlacitka.setBounds(new Rectangle(477, 10, 200, 370));
        pnlTlacitka.setLayout(null);
        pnlPozadie.setBackground(Color.lightGray);
        pnlPozadie.setPreferredSize(new Dimension(680, 400));
        pnlPozadie.setLayout(null);
        pnlVlastnosti.setBackground(Color.lightGray);
        pnlVlastnosti.setPreferredSize(new Dimension(200, 110));
        pnlVlastnosti.setBounds(new Rectangle(0, 0, 200, 110));
        pnlVlastnosti.setLayout(null);
        pnlModel.setBackground(Color.lightGray);
        pnlModel.setBorder(border2);       
        pnlModel.setPreferredSize(new Dimension(200, 50));
        pnlModel.setBounds(new Rectangle(0, 105, 200, 50));
        pnlModel.setLayout(null);
        pnlVotrelec.setBackground(Color.lightGray);
        pnlVotrelec.setBorder(border4);
        pnlVotrelec.setPreferredSize(new Dimension(200, 100));
        pnlVotrelec.setBounds(new Rectangle(0, 160, 200, 60));
        pnlVotrelec.setLayout(null);
        lbRychlost.setText("Rchlos: 50%");
        lbRychlost.setBounds(new Rectangle(17, 10, 100, 15));
        lbPocet.setText("Poet jedincov: 10");
        lbPocet.setBounds(new Rectangle(18, 60, 110, 15));
        sldRychlost.setBackground(Color.lightGray);
        sldRychlost.setPreferredSize(new Dimension(180, 20));
        sldRychlost.setBounds(new Rectangle(10, 30, 180, 20));
        sldPocet.setBackground(Color.lightGray);
        sldPocet.setPreferredSize(new Dimension(180, 20));
        sldPocet.setBounds(new Rectangle(10, 80, 180, 20));
        btnDefault.setBounds(new Rectangle(25, 255, 150, 25));
        btnDefault.setSize(new Dimension(150, 25));
        btnDefault.setMnemonic('0');
        btnDefault.setText("tandardn nastavenia");
        btnVlastnosti.setBounds(new Rectangle(25, 225, 150, 25));
        btnVlastnosti.setSize(new Dimension(150, 25));
        btnVlastnosti.setPreferredSize(new Dimension(150, 25));
        btnVlastnosti.setText("Vlastnosti");
        btnPridat.setBounds(new Rectangle(17, 22, 80, 25));
        btnPridat.setPreferredSize(new Dimension(80, 25));
        btnPridat.setText("Prida");
        btnOdobrat.setBounds(new Rectangle(102, 22, 80, 25));
        btnOdobrat.setPreferredSize(new Dimension(80, 25));
        btnOdobrat.setText("Odobra");
        btnPrekazka.setBounds(new Rectangle(25, 285, 150, 25));
        btnPrekazka.setPreferredSize(new Dimension(150, 25));
        btnPrekazka.setText("Prekka");
        btnReset.setBounds(new Rectangle(25, 345, 150, 25));
        btnReset.setPreferredSize(new Dimension(150, 25));
        btnReset.setText("Retart");
        btnPauza.setPreferredSize(new Dimension(150, 25));
        btnPauza.setText("Pauza");
        btnPauza.setBounds(new Rectangle(25, 315, 150, 25));
        this.getContentPane().add(pnlPozadie, java.awt.BorderLayout.CENTER);
        pnlPozadie.setName("");
        pnlPozadie.add(Platno);
        pnlPozadie.add(pnlTlacitka);
        pnlTlacitka.add(pnlVotrelec);
        pnlTlacitka.add(pnlVlastnosti);
        pnlTlacitka.add(btnPauza);
        pnlTlacitka.add(btnReset);
        pnlTlacitka.add(btnPrekazka);
        pnlVotrelec.add(btnPridat);
        pnlVotrelec.add(btnOdobrat);
        pnlVlastnosti.add(lbRychlost);
        pnlVlastnosti.add(sldRychlost);
        pnlVlastnosti.add(lbPocet);
        pnlVlastnosti.add(sldPocet);
        pnlTlacitka.add(btnDefault);
        pnlTlacitka.add(btnVlastnosti);
        pnlTlacitka.add(pnlModel);
        rbtnEnviroment.add(rbtnEnviromentToroid);
        rbtnEnviroment.add(rbtnEnviromentBounded);
        rbtnEnviromentBounded.setSelected(true);
        rbtnEnviromentToroid.setBounds(0 ,0 ,60 ,20);
        rbtnEnviromentBounded.setBounds(0 ,0 ,90 ,20);
        rbtnEnviromentToroid.setLocation(10 ,20);
        rbtnEnviromentBounded.setLocation(100, 20);
        rbtnEnviromentToroid.setBackground(Color.lightGray);
        rbtnEnviromentBounded.setBackground(Color.lightGray); 
        pnlModel.add(rbtnEnviromentToroid);
        pnlModel.add(rbtnEnviromentBounded);
        
        sldRychlost.setMaximum(20);												//nastavenie vlastnosti slideru Rychlost
        sldRychlost.setMinimum(1);
        sldRychlost.setValue(10);
        
        sldPocet.setMinimum(2);													//nastavenie vlastnosti slideru Pocet jedincov
        sldPocet.setMaximum(50);
        sldPocet.setValue(10);
        
        btnPauza.addActionListener(new PauseAction(this));						//prida listener na tlacitko Pauza
        sldRychlost.addChangeListener(new RychlostAction(this));				//prida listener na slider rychlost
        sldPocet.addChangeListener(new PocetAction(this));						//prida listener na slider pocet jedincov
        btnDefault.addActionListener(new DefaultAction(this));					//prida listener na tlacitko Default
        btnVlastnosti.addActionListener(new VlastnostiAction(this));			//prida listener na tlacitko Vlastnosti
        Platno.addMouseListener(new MouseAction(this));        					//prida listener na kliknutie mysi
        Platno.addMouseMotionListener(new MoveAction(this));
        btnPridat.addActionListener(new PridatAction(this));					//prida listener na tlacitko prodat votrelca
        btnOdobrat.addActionListener(new OdobratAction(this));					//prida listener na tlacitko odobrat votrelca
        btnReset.addActionListener(new ResetAction(this));						//prida listener na tlacitko Reset
        rbtnEnviromentToroid.addActionListener(new NastavitToroid(this));		//prida listener na radio button toroid
        rbtnEnviromentBounded.addActionListener(new NastavitOhraniceny(this));	//prida listener na radio button ohraniceny
        btnPrekazka.addActionListener(new PrekazkaAction(this));				//prida listener na talcitko Prekazka
    }

    //Get Applet information
    public String getAppletInfo() {
        return "Applet Information";
    }

    //Get parameter info
    public String[][] getParameterInfo() {
        return null;
    }

    static 
     {
       try 
         {
           UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
         } 
       catch (Exception e) 
         {  }
      }

//------------------------------------------------------------------------//
//  Triedy na osetrenie akcii tlacitok a ostatnych komponentov na ploche  //
//------------------------------------------------------------------------//

    public class PauseAction extends AbstractAction {							//trieda osetrujuca tlacitko Pauza
    
      FApplet aplet;															//premenna celeho appletu (dialogu)
    
    public PauseAction(FApplet aplet) 											//konstruktor triedy
      {
        super("PauseAction");
        this.aplet = aplet;
      }

    public void actionPerformed(ActionEvent e) 									//osetruje stlacenie tlacitka
      {
    	if (isPaused)
    	  {																		//ak je program pauznuty spusti sa
    	   aplet.Platno.animation.resume();
    	   btnPauza.setLabel("Pauza");
    	  } 
    	else
    	  {
    	   aplet.Platno.animation.suspend();									//ak je spusteny pauzne sa
    	   btnPauza.setLabel("Pokraova");
    	  } 

    	aplet.Platno.PauseFloys(isPaused);    									//zavola sa funkcia na pauznutie vsetkych floyov
    	isPaused=! isPaused;													//zmeni hodnotu false/true
      }
   }

   
   public class RychlostAction implements ChangeListener {						//trieda osetrujuca slider Rychlost
     FApplet aplet;																//premenna celeho appletu (dialogu)
     int speed;    
    
    public RychlostAction(FApplet aplet) 										//konstruktor triedy
      {
        super();
        this.aplet = aplet;
      }   	
   	
   	public void stateChanged(ChangeEvent e)
   	  {
   	   speed = ((JSlider)e.getSource()).getValue();
   	   aplet.Platno.updateSpeed(speed);	
   	   aplet.lbRychlost.setText("Rchlos: "+(int)(speed/0.2)+"%"); 			//zavola funkciu na nastavenie rychlosti floyov
   	  }
   }	 

   public class PocetAction implements ChangeListener {							//trieda osetrujuca slider Pocet jedincov
     FApplet aplet;																//premenna celeho appletu (dialogu)
     int count;
         
    public PocetAction(FApplet aplet) 											//konstruktor triedy
      {
        super();
        this.aplet = aplet;
      }   	
   	
   	public void stateChanged(ChangeEvent e)
   	  {
   	   count = ((JSlider)e.getSource()).getValue();	
   	   aplet.Platno.setFloysCount(count, sldRychlost.getValue()); 				//zavola funkciu na nastavenie poctu floyov
	   aplet.lbPocet.setText("Poet jedincov: "+count);   	  
   	  	
   	  }
   }	 

  public class DefaultAction extends AbstractAction {						//trieda osetrujuca tlacitko Default
   
    FApplet aplet;															//premenna celeho appletu (dialogu)
      
    public DefaultAction(FApplet aplet) 									//konstruktor triedy
      {
        super("DefaultAction");
        this.aplet = aplet;
      }

    public void actionPerformed(ActionEvent e) 								//osetruje stlacenie tlacitka
      {
 	    aplet.sldRychlost.setValue(10);										//nastavi slidery na default hodnoty
 	    aplet.sldPocet.setValue(10);
 	    
 	    Platno.SetNeighborDistance(150);
 	    Platno.SetCrashDistance(20);
 	    Platno.SetMaxSpeed(3);
 	    Platno.SetAcceleration((float)0.1);
 	    Platno.SetInitialSpeed(4);
 	    Platno.SetBounceSpeed((float)0.8);
 	    Platno.SetMaxAlienCount(5);
 	    
 	    Platno.model_prostredia = 2;
 	    aplet.rbtnEnviromentBounded.setSelected(true);
 	    Platno.barriers.clear();
      }  	
  }

  public class VlastnostiAction extends AbstractAction {					//trieda osetrujuca tlacitko Vlastnosti
  public    
    FApplet aplet;
    JDialog dialog = new JDialog();
    JPanel dlgPanel = new JPanel();
    JLabel lbDohlad = new JLabel("Vzdialenos dohadu:");
    JLabel lbKolizna = new JLabel("Kolzna vzdialenos:");
    JLabel lbMaxspeed = new JLabel("Maximlna rchlos");
    JLabel lbZrychlenie = new JLabel("Zrchlenie:");
    JLabel lbPociatocna = new JLabel("Poiaton rchlos");
    JLabel lbBouncespeed = new JLabel("Odrazov rchlos:"); 
    JLabel lbVotrelcov = new JLabel("Max. poet votrelcov:");
    JComboBox cbDohlad = new JComboBox();
    JComboBox cbKolizna = new JComboBox();
    JComboBox cbMaxspeed = new JComboBox();
    JComboBox cbZrychlenie = new JComboBox();
    JComboBox cbPociatocna = new JComboBox();
    JComboBox cbOdrazova = new JComboBox();
    JComboBox cbVotrelcov = new JComboBox();
    
    public VlastnostiAction(FApplet aplet) 									//konstruktor triedy
      {		
        super("VlastnostiAction");
        this.aplet = aplet;
        dialog.setContentPane(dlgPanel);
        dialog.setTitle("Vlastnosti");
        dialog.setSize(210,330);
        dialog.setResizable(false);
        dialog.setLocation(0,0);
        dialog.setModal(true);
    
        dlgPanel.setLayout(null);
    
        JButton btnCancel = new JButton("Cancel"); 
        JButton btnOk = new JButton("Ok"); 
    
        btnCancel.setBounds(0 ,0 ,80 ,25);
        btnOk.setBounds(0 ,0 ,80 ,25);
    
        btnCancel.setLocation(113 ,230);
        btnOk.setLocation(17 ,230);
        
        lbDohlad.setBounds(10,15,180,15);
        lbKolizna.setBounds(10,45,180,15);
        lbMaxspeed.setBounds(10,75,180,15);
        lbZrychlenie.setBounds(10,105,180,15);
        lbPociatocna.setBounds(10,135,180,15);
        lbBouncespeed.setBounds(10,165,180,15);
        lbVotrelcov.setBounds(10,195,180,15);
        cbDohlad.setBounds(130,15,60,18);
        cbKolizna.setBounds(130,45,60,18);
        cbMaxspeed.setBounds(130,75,60,18);
        cbZrychlenie.setBounds(130,105,60,18);
        cbPociatocna.setBounds(130,135,60,18);
        cbOdrazova.setBounds(130,165,60,18);
        cbVotrelcov.setBounds(130,195,60,18);
            
        for (int i = 1; i <= 4; i++)
            cbDohlad.addItem(Integer.toString(i*50));

        for (int i = 1; i <= 5; i++)
            cbKolizna.addItem(Integer.toString(i*10));
        
        for (int i = 1; i <= 5; i++)
            cbMaxspeed.addItem(Integer.toString(i));
        
        cbZrychlenie.addItem(Float.toString((float)0.05));
        for (int i = 1; i <= 5; i++)
            cbZrychlenie.addItem(Float.toString((float)i/10));
        
        for (int i = 1; i <= 5; i++)
            cbPociatocna.addItem(Integer.toString(i*2));
        
        for (int i = 1; i <= 20; i *= 2)
            cbOdrazova.addItem(Float.toString((float)i/10));
        
        for (int i = 1; i <= 8; i+= 2 )
            cbVotrelcov.addItem(Integer.toString(i));    
        cbVotrelcov.addItem(Integer.toString(10));
        
        dlgPanel.add(btnOk);
        dlgPanel.add(btnCancel);
        dlgPanel.add(lbDohlad);
        dlgPanel.add(lbKolizna);
        dlgPanel.add(lbMaxspeed);
        dlgPanel.add(lbZrychlenie);
        dlgPanel.add(lbPociatocna);
        dlgPanel.add(lbBouncespeed);
        dlgPanel.add(lbVotrelcov);
        dlgPanel.add(cbDohlad);        
        dlgPanel.add(cbKolizna);
        dlgPanel.add(cbMaxspeed);
        dlgPanel.add(cbZrychlenie);
        dlgPanel.add(cbPociatocna);
        dlgPanel.add(cbOdrazova);
        dlgPanel.add(cbVotrelcov);
        
        reset();
        
        btnCancel.addActionListener(new CancelAction(dialog));				//prida listener na tlacitko Cancel
        btnOk.addActionListener(new OkAction(dialog));						//prida listener na tlacitko Ok
      }

    public void actionPerformed(ActionEvent e) 								//metoda na zobrazenie dialogu
      {
      	reset();
        dialog.show();
      }
    
    public void reset()  
      {
        cbDohlad.setSelectedItem(Integer.toString(Platno.GetNeighborDistance()));   
        cbKolizna.setSelectedItem(Integer.toString(Platno.GetCrashDistance()));    
        cbMaxspeed.setSelectedItem(Integer.toString(Platno.GetMaxSpeed())); 
        cbZrychlenie.setSelectedItem(Float.toString((float)Platno.GetAcceleration()));    	
        cbPociatocna.setSelectedItem(Integer.toString(Platno.GetInitialSpeed()));  
        cbOdrazova.setSelectedItem(Float.toString((float)Platno.GetBounceSpeed()));
        cbVotrelcov.setSelectedItem(Integer.toString(Platno.GetMaxAlienCount()));    
      }
      
   public class OkAction extends AbstractAction {						//trieda osetrujuca tlacitko Ok v dialogu
   
    JDialog usrDlg;
    
    public OkAction(JDialog usrDlg) 									//konstruktor triedy
      {
        super("OkAction");
        this.usrDlg = usrDlg;
      }

    public void actionPerformed(ActionEvent e) 								//metoda na zatvorenie okna
      {
        Platno.SetNeighborDistance(Integer.parseInt((String)cbDohlad.getSelectedItem()));			//nastavenie zvolenych parametrov
        Platno.SetCrashDistance(Integer.parseInt((String)cbKolizna.getSelectedItem()));
 	    Platno.SetMaxSpeed(Integer.parseInt((String)cbMaxspeed.getSelectedItem()));
 	    Platno.SetAcceleration(Float.parseFloat((String)cbZrychlenie.getSelectedItem()));
 	    Platno.SetInitialSpeed(Integer.parseInt((String)cbPociatocna.getSelectedItem()));
 	    Platno.SetBounceSpeed(Float.parseFloat((String)cbOdrazova.getSelectedItem()));
 	    Platno.SetMaxAlienCount(Integer.parseInt((String)cbVotrelcov.getSelectedItem() ));	
      	
      	reset();
        usrDlg.hide();
      }
    }       
  }
 
  public class CancelAction extends AbstractAction {						//trieda osetrujuca tlacitko Cancel v dialogu
   
    JDialog usrDlg;
    
    public CancelAction(JDialog usrDlg) 									//konstruktor triedy
      {
        super("CancelAction");
        this.usrDlg = usrDlg;
      }

    public void actionPerformed(ActionEvent e) 								//metoda na zatvorenie okna
      {
        usrDlg.hide();
      }
    }
    
  public class MouseAction extends MouseInputAdapter  {							//trieda osetrujuca kurzor mysi
    
    FApplet aplet;
       
    public MouseAction(FApplet aplet) 
      {
       super();
       this.aplet = aplet;
      }
    
    public void mouseClicked(MouseEvent e) 
      {
       Barrier newObject;
       
       if (aplet.isPosible)													//iba ak bolo stlacene tlacitko Prekazka
         {
          newObject = new Barrier(e.getX(), e.getY(), Platno.cursor.radius);	
          Platno.barriers.add(newObject);	
          aplet.isPosible = false;
          Platno.is_cursor_visible = false;
         }
      }
   public void mouseExited(MouseEvent e) 
      {
        Platno.is_cursor_visible = false;
      }
  
    }
   
  public class MoveAction extends MouseInputAdapter{
  
  FApplet aplet;
  
  public MoveAction(FApplet aplet)
    {
     super();
     this.aplet = aplet;
    } 	
  public void mouseMoved(MouseEvent e) 
    {  
     if (aplet.isPosible)
       Platno.is_cursor_visible = true;
     Platno.SetCursorPosition(e.getX(),e.getY());
	}
  public void mouseDragged(MouseEvent e) 
    {
      if (aplet.isPosible)
        {	
         if ((e.getModifiersEx()&e.BUTTON1_DOWN_MASK) == 0)
           {
             Platno.cursor.radius = (int)(Math.pow((Math.pow((e.getX() - Platno.cursor.getX()),2.0) + Math.pow((e.getY() - Platno.cursor.getY()),2.0)),0.5));
             if (Platno.cursor.radius > 80)
               Platno.cursor.radius = 80;
             if (Platno.cursor.radius < 13)
               Platno.cursor.radius = 13;
             Platno.is_cursor_visible = true;
           }
        }   
    }
	
  }  

    public class PridatAction extends AbstractAction {						//trieda osetrujuca tlacitko pridat votrelca
    
      FApplet aplet;														//premenna celeho appletu (dialogu)
        
    public PridatAction(FApplet aplet) 										//konstruktor triedy
      {
        super("PridatAction");
        this.aplet = aplet;
      }

    public void actionPerformed(ActionEvent e) 								//osetruje stlacenie tlacitka
      {
		Floy newObject;
		
   	   if (Platno.alien_count < Platno.GetMaxAlienCount())
	     {
     	   newObject = new Floy(10, 10, 100, aplet.sldRychlost.getValue(), Color.red, 1);
	       Platno.objects.add(newObject);
           newObject.start();
	       Platno.alien_count++;
         }     
	  }
   } 

   public class OdobratAction extends AbstractAction{						//trieda osetrujuca tlacitko odobrat votrelca
   	
     FApplet aplet;	
   	
   	 public OdobratAction(FApplet aplet)
   	   {
   	   	super("OdobratAction");
   	   	this.aplet = aplet;
   	   }
   	 public void actionPerformed(ActionEvent e)							//osetrenie stlacenia tlacitka
   	   {
		try
   	     {
   	       if (Platno.alien_count != 0)	
   	        {
   	          int i=0;	
   	          Floy pom;
   	          
   	          pom = (Floy)Platno.objects.get(i);
   	          while (pom.GetType() != 1)								//prehladava pole floyov, kym nenajde votrelca
   	            {
   	             i++;
   	             pom = (Floy)Platno.objects.get(i);
   	            }		
   	          ((Floy)Platno.objects.remove(i)).stop();					//odstranenie votrelca z pola
			  Platno.alien_count--;   	        
   	        }
   	     }
   	    catch(SecurityException f)
   	    { }   	   	
   	   }  
   }
   
   public class ResetAction extends AbstractAction{						//trieda osetrujuca tlacitko reset
   	
     FApplet aplet;	
   	 int i, pocet;
   	
   	 public ResetAction(FApplet aplet)
   	   {
   	   	super("ResetAction");
   	   	this.aplet = aplet;
   	   }
   	 public void actionPerformed(ActionEvent e)							//osetrenie stlacenia tlacitka
   	   {
   	   	int i;
   	   	Floy newObject;
   	   	
   	   	aplet.isPosible = false;
   	   	Platno.is_cursor_visible = false;
   	   	try
   	   	  {
   	   	   Platno.barriers.clear();										//vymaze prekazky
   	   	   Platno.objects.clear();											//vymaze floyov
          }
        catch(Exception g ) 
          {}   
   	   	for (i=0; i<sldPocet.getValue(); i++) 							//prida novych floyov
   	   	  {
            newObject = new Floy((int)(5+Math.random()*(Platno.canvas_width-10)) ,(int)(5+Math.random()*(Platno.canvas_height-10)) , 100, sldRychlost.getValue(), Color.black, 0);	//vytvorenie noveho jedinca
            Platno.objects.add(newObject);
            newObject.start();
          }
  
 	   }   
   }
   
  public class NastavitToroid extends AbstractAction{
  
  FApplet aplet;	
  	
  public NastavitToroid(FApplet aplet)
    {
     super("EnviromentModelAction");
     this.aplet = aplet;
     	
    }	
  public void actionPerformed(ActionEvent e) 
    {	
     Platno.model_prostredia = 1;
    }
  }
  
  public class NastavitOhraniceny extends AbstractAction{
 
   FApplet aplet;	
   	
   public NastavitOhraniceny(FApplet aplet)
    {
     super("EnviromentModelAction");
     this.aplet = aplet;
     	
    }	
   public void actionPerformed(ActionEvent e) 
    {	
     Platno.model_prostredia = 2;
    }
  }  

  public class PrekazkaAction extends AbstractAction{
  
  FApplet aplet;
  
  public PrekazkaAction(FApplet aplet)
    {
     super("PrekazkaAction");	
     this.aplet = aplet;
    }	
  public void actionPerformed(ActionEvent e)	
    {
     aplet.isPosible = true;	
    }
  }

 }

